FENCE_IS_SIGNALED_LO(9)

NAME
fence_is_signaled_locked - Return an indication if the fence is signaled yet.

SYNOPSIS

bool fence_is_signaled_locked(struct fence * fence);

ARGUMENTS

fence
    [in] the fence to check

DESCRIPTION

Returns true if the fence was already signaled, false if not. Since this function doesn't enable signaling, it is not guaranteed to ever return true if fence_add_callback, fence_wait or fence_enable_sw_signaling haven't been called before.

This function requires fence->lock to be held.

COPYRIGHT